//
//  ReadBarCode.h
//  BarCodeFramework
//
//  Created by Yogesh Arora on 14/12/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

/*
 This class will read the BarCode(BC) image and return value or format in a dictionary. Its using the MultiFormatReader for reading the bar code image. 
 Calling application should be register for notification(NSNotificationReadSuccess).
 After successfully reading this framework post the notification with dictionary object.
*/

#import <JavaVM/JavaVM.h>
#import <JavaVM/jni.h>
#import <Cocoa/Cocoa.h>

@interface ReadBarCode : NSObject
{
    NSString*       _path;                 //Path to file

    NSThread*       _readThread;           //Thread for reading bar code image
}

@property (nonatomic, retain) NSString* path;

- (void) readBCImage;

@end
